--select * from c6mart.patrimonio_immobiliare
-- =============================================
-- Author:		<Author,,Name>
-- Create date: <Create Date,,>
-- Description:	<Description,,>
-- =============================================
CREATE procedure [C6Mart].[RP_DM_PATRIMONIO_IMMOBILIARE_20190107_ProQuota]
AS
BEGIN
	SET NOCOUNT ON;
	DECLARE @ID_ELAB INT
	DECLARE @TIPO_ELAB VARCHAR(1)
	SET @ID_ELAB = C6MART.GETIDELAB()
	SET @TIPO_ELAB = C6MART.GETTIPOELAB()
	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'RP_DM_PATRIMONIO_IMMOBILIARE',
		GETDATE(),
		'Elaborazione giornaliera'
	)
	TRUNCATE TABLE C6MART.PATRIMONIO_IMMOBILIARE_20190107_ProQuota
	INSERT INTO [C6Mart].[PATRIMONIO_IMMOBILIARE_20190107_ProQuota]
		   ([RETE]
		   ,[COD_FISCALE]
		   ,[DESCRIZIONE]
		   ,[TIPOLOGIA]
		   ,[LOCALITA]
		   ,[PROVINCIA]
		   ,[CAP]
		   ,[NAZIONE]
		   ,[VALORE_STIMATO]
		   ,[AFFITTO]
		   ,[NOTE]
		   ,[DIV_RIFERIMENTO]
		   ,[CAMBIO]
		   ,[ID_ELAB]
		   ,[TIPO_ELAB]
		   ,[VALORE_STIMATO_PROQUOTA]
		   ,[PROQUOTA])
	SELECT 
    -- DISTINCT  Atringali 12012010
		C.RETE, --ALL_PATR_TERZI.RETE_PB AS RETE,
		C.COD_FISCALE, --ALL_PATR_TERZI.CODICE_FISCALE AS COD_FISCALE,
		B.DESCRIZIONE, --ALL_PATR_TERZI.DESCRIZIONE_RDESCR AS DESCRIZIONE, --b.descrizione
		B.TIPOLOGIA, 
		/*
		CASE ALL_PATR_TERZI.TIPOLOGIA_RDESCR --tipologia? cos'è il codice Tipologia
			 WHEN 'Civil' THEN 'Civile'
			 WHEN 'Economic' THEN 'Economica'
			 WHEN 'Posh' THEN 'Signorile'
			 ELSE '' 
		END AS TIPOLOGIA,
		Verificare il tipo tipologia sul nuovo per mettere la giusta case
		verificato con alessia la descrizione tipologia può finire sul report
		*/
		B.COMUNE AS COMUNE, --ALL_PATR_TERZI.LOCALITA AS LOCALITA, --comune è null verificare se è corretto
		B.codProvincia AS PROVINCIA, --NULL AS PROVINCIA, --provincia
		NULL AS CAP,
		NULL AS NAZIONE,
		B.VALOREIMMOBILETOTALE, --ALL_PATR_TERZI.PATRIMONIO_IMMOBILIARE AS VALORE_STIMATO,--valore immobile
		B.RENDITAANNUA, --ALL_PATR_TERZI.AFFITTOPERCEPITO AS AFFITTO, --renditaAnnua
		NULL AS NOTE,
		NULL AS DIV_RIFERIMENTO,
		NULL AS CAMBIO,
		@ID_ELAB AS ID_ELAB,
		@TIPO_ELAB AS TIPO_ELAB,
		B.valoreImmobileProQuota,
		B.ProQuota
		FROM C6STAGING.RP_PATRIMONIOTERZI A
		JOIN C6STAGING.RP_DETTIMMOBILIARE_20190107_ProQuota B
			ON A.CHIAVEPRODOTTOTERZI = B.CHIAVEPRODOTTOTERZI
		JOIN C6MART.VCONTRATTI C
			ON A.CHIAVECLIENTEPB = C.CHIAVECLIENTEPB
		WHERE A.IDTIPOPRODOTTO = 'IM'
	/*
	FROM C6STAGING.ALL_PATR_TERZI
	WHERE ALL_PATR_TERZI.CHIAVE_PR_31921 IS NOT NULL
		--V Dal passaggio in prod del 21/10/2010 su oracle questo campo è sempre null AND ALL_PATR_TERZI.CHIAVE_RDESC IS NOT NULL
		AND ALL_PATR_TERZI.DESCRIZIONE_RDESCR IS NOT NULL 
	*/	
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'RP_DM_PATRIMONIO_IMMOBILIARE' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'RP_DM_PATRIMONIO_IMMOBILIARE'
		)
END